# Class webdriver.logging.Entry

code »

A single log entry.

## Constructor

webdriver.logging.Entry ( level, message, opt_timestamp, opt_type )

Parameters

level: `(!webdriver.logging.Level|string)`
  The entry level.
message: `string`
  The log message.
opt_timestamp: `number=`
  The time this entry was generated, in milliseconds since 0:00:00, January 1, 1970 UTC. If omitted, the current time will be used.
opt_type: `string=`
  The log type, if known.

Show:PublicProtectedPrivate

## Instance Methods

code » toJSON ( ) ⇒ `{level: string, message: string, timestamp: number, type: string}`

Returns

The JSON representation of this entry.

## Instance Properties

code » message : `string`
code » timestamp : `number`
code » type : `string`

## Static Functions

code » webdriver.logging.Entry.fromClosureLogRecord ( logRecord, opt_type ) ⇒ `!webdriver.logging.Entry`

Converts a `goog.debug.LogRecord` into a `webdriver.logging.Entry`.

Parameters

logRecord: `!goog.debug.LogRecord`
  The record to convert.
opt_type: `string=`
  The log type.

Returns

The converted entry.